de.esprit.common.gui

## Interface ErrorHandlerSupport

- All Known Implementing Classes:
    AboutVersionDialogAction, AbstractArchiveAction, AbstractAsciiParserWFT, AbstractClientWFT, AbstractClientWorkflow, AbstractDataParserWFT, AbstractEventDrivenWFT, AbstractFileStreamWFT, AbstractPathEditAction, AbstractStreamParserWFT, AbstractSwingTask, AbstractTaskOptionDialogWFT, AbstractTaskOptionWFT, AbstractTextEditAction, AbstractWFT, AbstractWorkflow, ActionLookAndFeelMetal, ActionLookAndFeelMotif, ActionLookAndFeelWindows, ActivityList.MyCancelTaskAction, AddPermissionAction, AgentAction, AgentCancelAction, AllFieldsPanel.MyCheckValuesAction, ApplicationToolAction, ApplyAndCloseAction, ArchiveConfigDialogWFT, ArchiveExtractAction, ArchiveExtractWFT, ArchiveExtractWorkflow, ArchiveListAction, ArchiveListWFT, ArchiveListWorkflow, AsciiParserTask, AsyncAgentClientTimeoutAction, AsyncAgentServerTimeoutAction, BatchTaskConfigAction, BurstOfSleeperAgentsAction, BurstOfWorkerAgentsAction, CancelAction, CancelAllClientCommandsAction, CancelCurrentClientCommandsAction, ChangePasswordAction, ChatToolAction, CheckWorkingDirectoryWFT, CleanupMemoryAction, CleanupWorkingDirectoryWFT, ClearAction, ClientAction, ClientCommandTask, ClientConsoleAction, ClientListDataAction, ClientListDumpAction, ClientListSelectionAction, ClientPathTreeArchiveAction, ClientPathTreeSelectionAction, ClientTableDataAction, ClientTableSelectionAction, ClientTaskAction, ClientTextEditorAction, ClientToolAction, ClientTreeSelectionAction, ConsoleAction, ConsoleToolAction, CpuLoadConfigAction, CreateFileAction, CreateFolderAction, CreateZipArchiveAction, CreateZipArchiveWFT, CreateZipArchiveWorkflow, DataParserTask, DeleteLogMessagesAction, EmailConfigAction, ErrorHandlerSupportAdapter, EverSleepingAsyncAgentAction, EverWorkingAsyncAgentAction, FetchUserListAction, FileDownloadAction, FileDownloadWFT, FileDownloadWorkflow, FileNameInputWFT, FileSetDownloadAction, FileSetUploadAction, FileTransferClientTask, FileTransferWFT, FileUploadAction, FileUploadWFT, FileUploadWorkflow, FillLogMessagesAction, GroupManagerAction, HeavyLoadOnServerAction, InputFileChooserWFT, ListDataAction, ListDataAgentAction, ListDetailsAction, ListSelectionAction, ListSelectionAgentAction, LoadMeterToolAction, LogConfigAction, LoginAction, LogoutAction, MemoryMonitorAction, NoReturnAsyncAgentAction, OutputFileChooserWFT, PathTreeSelectionAction, PermissionManagerAction, ProbeDataSourceAction, ReleaseAllLocksAction, RemoteArchiveExtractAction, RemoteArchiveExtractWFT, RemoteArchiveExtractWorkflow, RemoteArchiveListAction, RemoteArchiveListWFT, RemoteArchiveListWorkflow, RemoteDeletePathAction, RemoteTaskFramePopupAction, RemovePermissionAction, RenamePathAction, RoundTripAction, RoundTripDataAction, ScreenShotAction, SendClientMessageAction, SequencedAsyncAgentAction, ServerDataSourceAction, ServerEventRegisterAction, ServerLogfileListAction, ServerMemoryMonitorAction, ServerShutdownAction, SessionManagerAction, SetRootNodeAction, StepAction, StreamDownloadAction, TableDataAction, TableSelectionAction, TaskAction, TaskCancelAction, TestLoggingAction, TimeCompareAction, ToolAction, TreeSelectionAction, UserAuthenticationAction, UserManagerAction, ViewClientInfoAction, ViewRemoteTasksAction, ViewServerParamsAction, ViewServerStartupAction, ViewServerStatisticAction, ViewThreadPoolStatusAction, ZAction

      public interface ErrorHandlerSupport

  This interface defines methods for handling GUI errors
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `showError(java.lang.Exception e)`
    `void` | `showError(java.lang.String message, java.lang.Exception e)`
    `void` | `showError(java.lang.String message, java.lang.String details, java.lang.Exception e)`
    `void` | `showInfo(java.lang.String message)`
    `void` | `showInfo(java.lang.String message, java.lang.String details)`
    `void` | `showWarning(java.lang.String message)`
    `void` | `showWarning(java.lang.String message, java.lang.String details)`

- - ### Method Detail

    - #### showError

          void showError(java.lang.Exception e)

    - #### showError

          void showError(java.lang.String message,
                       java.lang.Exception e)

    - #### showError

          void showError(java.lang.String message,
                       java.lang.String details,
                       java.lang.Exception e)

    - #### showWarning

          void showWarning(java.lang.String message)

    - #### showWarning

          void showWarning(java.lang.String message,
                         java.lang.String details)

    - #### showInfo

          void showInfo(java.lang.String message)

    - #### showInfo

          void showInfo(java.lang.String message,
                      java.lang.String details)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.